<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TribunalArgument extends Model
{
    protected $fillable = ['tribunal_id', 'user_id', 'side', 'body', 'vote_count'];

    public function tribunal() { return $this->belongsTo(Tribunal::class); }
    public function user()     { return $this->belongsTo(User::class); }
    public function argVotes() { return $this->hasMany(TribunalArgumentVote::class, 'argument_id'); }
}
